html, body {
    height: 100%;
    margin: 0;
}

body {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

main {
    flex: 1;
}

.woocommerce-page .site-main {
  max-width: 800px;
  margin: 4rem auto;
  padding: 0 1rem;
}


.woocommerce h2 {
  font-size: 1.5rem;
  font-weight: 500;
  text-align: center;
  margin-bottom: 2rem;
}


.woocommerce-form-login {
  display: flex;
  flex-direction: column;
}

.woocommerce-form-login .form-row {
    gap: 0 !important;
    display: flex;
    align-items: flex-start !important;
    justify-content: space-between;
    flex-wrap: wrap;
    flex-direction: column;
}

.woocommerce-form-login label {
  font-size: 0.85rem;
  color: var(--text);
  margin-bottom: 0.25rem;
}

.woocommerce-form-login input[type="text"],
.woocommerce-form-login input[type="password"] {
  max-width: 240px;
  padding: 0.65rem 0.75rem;
  border-radius: 6px;
  border: 1px solid #ddd;
  font-size: 0.95rem;
}

.woocommerce-form-login input:focus {
  outline: none;
  border-color: #000;
}

.woocommerce-form-login .form-row {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 1rem;
  flex-wrap: wrap;
}


.woocommerce-form__label-for-checkbox {
  font-size: 0.85rem;
  color: #555;
}


.woocommerce-form-login button.button {
  background: #000;
  color: #fff;
  border-radius: 999px;
  padding: 0.6rem 1.6rem;
  font-weight: 500;
  border: none;
  cursor: pointer;
}

.woocommerce-form-login button.button:hover {
  opacity: 0.85;
}

.woocommerce-LostPassword {
  text-align: center;
  margin-top: 1rem;
}

.woocommerce-LostPassword a {
  font-size: 0.85rem;
  color: #555;
  text-decoration: none;
}

.woocommerce-LostPassword a:hover {
  text-decoration: underline;
}
